-- "Northern Dungeon" is a modified copy of the "Dungeon" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- Other original textures used copyright (C) Sirius-sdz.deviantart.com
-- All other content copyright (C) Daniv
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 1.3 created by Daniv
-- Last updated 4th October 2014





defineMaterial{
   name = "northern_altar",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_altar_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_altar_spec.tga",
   normalMap = "assets/textures/env/dungeon_altar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_arch",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_arch_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_arch_spec.tga",
   normalMap = "assets/textures/env/dungeon_arch_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }


defineMaterial{
   name = "northern_bench_wood",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_bench_wood_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_bench_wood_spec.tga",
   normalMap = "assets/textures/props/wood_barrel_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 60,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_broken_floor_panels",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_broken_floor_panel_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_broken_floor_panel_spec.tga",
   normalMap = "assets/textures/env/broken_floor_panel_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_ceiling",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_ceiling_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_ceiling_spec.tga",
   normalMap = "assets/textures/env/dungeon_ceiling_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_daemon_head",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_daemon_head_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_daemon_head_spec.tga",
   normalMap = "assets/textures/env/daemon_head_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_dragon_statue",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_dragon_statue_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_dragon_statue_spec.tga",
   normalMap = "assets/textures/env/dragon_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_dragon_statue_base",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_dragon_statue_base_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_dragon_statue_base_spec.tga",
   normalMap = "assets/textures/env/dragon_statue_base_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_floor_stone_slabs",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_floor_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_floor_spec.tga",
   normalMap = "assets/textures/env/dungeon_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_goromorg_statue",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_goromorg_statue_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_goromorg_statue_spec.tga",
   normalMap = "assets/textures/env/goromorg_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 15,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_goromorg_statue_base",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_marble_generic_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_marble_generic_spec.tga",
   normalMap = "assets/textures/env/marble_generic_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_icicle",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_icicle_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_icicle_spec.tga",
   normalMap = "assets/textures/env/healing_crystal_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 90,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_iron_door",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_iron_door_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_iron_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_iron_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_iron_portcullis",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_portcullis_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_portcullis_spec.tga",
   normalMap = "assets/textures/env/dungeon_porticullis_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_metal_door",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_metal_door_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_metal_door_spec.tga",
   normalMap = "assets/textures/env/metal_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_ornament_door",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_ornament_door_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_ornament_door_spec.tga",
   normalMap = "assets/textures/env/ornament_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_pillar",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_pillar_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_pillar_spec.tga",
   normalMap = "assets/textures/env/brick_pillar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_pit",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_pit_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_pit_spec.tga",
   normalMap = "mod_assets/textures/northern_dungeon/northern_dungeon_pit_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_pressure_plate",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_pressure_plate_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_pressure_plate_spec.tga",
   normalMap = "mod_assets/textures/northern_dungeon/northern_dungeon_pressure_plate_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_rockwall",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_rockwall_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_rockwall_spec.tga",
   normalMap = "assets/textures/env/rockwall_tile_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_rubble",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_rubble_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_rubble_spec.tga",
   normalMap = "assets/textures/env/brick_rubble_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_secret_button_large",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_secret_button_large_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_secret_button_large_spec.tga",
   normalMap = "assets/textures/env/brickwall_secret_button_normal.tga",
   doubleSided = false,
	lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_secret_button_small",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_secret_button_small_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_secret_button_small_spec.tga",
   normalMap = "assets/textures/env/brickwall_secret_button_normal.tga",
   doubleSided = false,
	lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 15,
   depthBias = 0,
   }




defineMaterial{
   name = "northern_skeleton_warrior",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_skeleton_warrior_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_skeleton_warrior_spec.tga",
   normalMap = "assets/textures/monsters/skeleton_warrior_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_stairs",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_stairs_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_stairs_spec.tga",
   normalMap = "assets/textures/env/dungeon_stairs_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_steel_door",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_steel_door_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_steel_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_iron_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_trapdoor",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_trapdoor_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_trapdoor_spec.tga",
   normalMap = "assets/textures/env/temple_pressureplate_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 50,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_tunnel_ogre",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_ogre_dif.tga",
   specularMap = "assets/textures/monsters/ogre_spec.tga",
   normalMap = "assets/textures/monsters/ogre_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 50,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_wall",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_wall_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_wall_spec.tga",
   normalMap = "assets/textures/env/brickwall_stone_root_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 15,
   depthBias = 0,
   }



defineMaterial{
   name = "northern_wall_dirt",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_wall_dirt_dif.tga",
   specularMap = "assets/textures/props/dungeon_wall_dirt_spec.tga",
   normalMap = "assets/textures/props/dungeon_wall_dirt_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_wall_ivy",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_wall_ivy_dif.tga",
   specularMap = "assets/textures/props/wall_ivy_spec.tga",
   normalMap = "assets/textures/props/wall_ivy_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_wall_text",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_wall_text_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_wall_text_spec.tga",
   normalMap = "assets/textures/env/dungeon_wall_text_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 15,
   depthBias = 0,
   }

defineMaterial{
   name = "northern_wooden_door",
   diffuseMap = "mod_assets/textures/northern_dungeon/northern_dungeon_wooden_door_dif.tga",
   specularMap = "mod_assets/textures/northern_dungeon/northern_dungeon_wooden_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_arch_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }
