-- "Northern Dungeon" is a modified copy of the "Dungeon" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- Other original textures used copyright (C) Sirius-sdz.deviantart.com
-- All other content copyright (C) Daniv
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 1.3 created by Daniv
-- Last updated 4th October 2014



import "mod_assets/scripts/northern_dungeon_materials.lua"
import "mod_assets/scripts/northern_dungeon_objects.lua"



defineWallSet{
   name = "northern_dungeon",
   randomFloorFacing = true,
   floors = {
      "mod_assets/models/northern_dungeon/northern_dungeon_floor_01.fbx", 5,
      "mod_assets/models/northern_dungeon/northern_dungeon_floor_02.fbx", 5,
      "mod_assets/models/northern_dungeon/northern_dungeon_floor_03.fbx", 5,
      "mod_assets/models/northern_dungeon/northern_dungeon_floor_04.fbx", 5,
      "mod_assets/models/northern_dungeon/northern_dungeon_floor_05.fbx", 5,
      "mod_assets/models/northern_dungeon/northern_dungeon_floor_06.fbx", 5,
      "mod_assets/models/northern_dungeon/northern_dungeon_floor_drainage.fbx", 1,
      },
   walls = {
      "mod_assets/models/northern_dungeon/northern_dungeon_wall.fbx", 50,
      "mod_assets/models/northern_dungeon/northern_dungeon_wall_drainage.fbx", 1,
      },
   pillars = {
      "mod_assets/models/northern_dungeon/northern_dungeon_pillar.fbx", 1,
      },
   ceilings = {
      "mod_assets/models/northern_dungeon/northern_dungeon_ceiling_01.fbx", 20,
      "mod_assets/models/northern_dungeon/northern_dungeon_ceiling_02.fbx", 1,
      },
   ceilingShafts = {
      "mod_assets/models/northern_dungeon/northern_dungeon_ceiling_shaft.fbx", 1,
      },
   floorDecorations = {
      },
   wallDecorations = {
      "assets/models/env/metal_hooks_wall.fbx", 1,
      "assets/models/env/metal_hooks_chain_wall.fbx", 1,
      },
   pillarDecorations = {
      "assets/models/env/metal_hook_pillar.fbx", 1,
      "assets/models/env/metal_hook_chain_pillar.fbx", 1,
      "assets/models/env/metal_ring_pillar.fbx", 1,
      },
   }
